## evremap 0.0~git20240617.cc618e8

=== Makefile ===
.PHONY: all fmt check test

all: check

test:
	cargo nextest run

check:
	cargo check

fmt:
	cargo +nightly fmt

=== debian/changelog ===
evremap (0.0~git20240617.cc618e8-3) unstable; urgency=medium

  [ NoisyCoil ]
  * debian: bump env_logger dependency to v0.11

 -- Matthias Geiger <werdahias@debian.org>  Wed, 01 Jan 2025 22:25:28 +0100

evremap (0.0~git20240617.cc618e8-2) unstable; urgency=medium

  [ Yifei Zhan ]
  * Disable known broken CI tests

  [ Matthias Geiger ]
  * d/salsa-ci.yml: Disable blhc
  * Upload to unstable 
  * d/control: set correct Vcs-Urls
  * d/control: Properly depend on versioned librust- packages; 
    sort alphabetically

 -- Matthias Geiger <werdahias@debian.org>  Thu, 17 Oct 2024 15:08:33 +0200

evremap (0.0~git20240617.cc618e8-1) experimental; urgency=medium

  * Initial release. (Closes: #1070800)

 -- Yifei Zhan <debian@zhan.science>  Sun, 22 Sep 2024 16:41:27 +0200

=== debian/control ===
Source: evremap
Section: utils
Priority: optional
Maintainer: Yifei Zhan <debian@zhan.science>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-cargo,
 cargo:native,
 rustc:native,
 libstd-rust-dev,
 librust-anyhow-1+default-dev,
 librust-clap-4+default-dev (>= 4.5),
 librust-clap-4+derive-dev (>= 4.5),
 librust-evdev-rs-0.6+default-dev (>= 0.6.1-~~),
 librust-env-logger-0.11+default-dev,
 librust-libc-0.2+default-dev,
 librust-log-0.4+default-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-thiserror-1+default-dev,
 librust-toml-0.8+default-dev,
 libevdev-dev,
 pkgconf
Standards-Version: 4.7.0
Homepage: https://github.com/wez/evremap
Vcs-Browser: https://salsa.debian.org/debian/evremap
Vcs-Git: https://salsa.debian.org/debian/evremap.git

Package: evremap
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: Keyboard input remapper for Linux/Wayland systems
 evremap grabs exclusive access to an input device and
 maintains a model of the keys that are pressed.
 It then applies your remapping configuration to produce
 the effective set of pressed keys and emits appropriate
 changes to a virtual output device.

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
  https://github.com/wez/evremap.git HEAD
